Subject: Navajo Nation Offer
From: [email-masked]
To: [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked]
Cc: [email-masked], [email-masked], [email-masked], [email-masked]
Date: Thu, 16 Mar 2000 04:12:00 -0800 (PST)

The offer letter was sent yesterday.  It was sent overnight and faxed to Mr. 
Zaman's office.  There was some minor word smithing to the version discussed 
last Friday.  The only true change was a modification of the $$ on the 
incremental payment table.  When finalizing the document with James Centilli, 
certain trailing decimals places to one factor which were hidden on the 
spreadsheet were deleted.  This change resulted in a total reduction to the 
payment figures of between one and two percent.

A clean signed copy is being mailed/faxed to this distribution list.

Johnny spoke with Mr. Ram Das earlier this week about the offer letter and a 
meeting.  Mr.  Zaman was out of the office most of this week and will be 
traveling all of the next two weeks.  Johnny hopes to arrange a meeting with 
Mr. Zaman during these travels.  I'll likely attend with Johnny.